lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Rowe (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (LUCENE-5715) Upgrade direct dependencies known to be older than transitive dependencies
Date Thu, 05 Jun 2014 16:48:03 GMT

     [ https://issues.apache.org/jira/browse/LUCENE-5715?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Steve Rowe updated LUCENE-5715:
-------------------------------

    Fix Version/s: 5.0

> Upgrade direct dependencies known to be older than transitive dependencies
> --------------------------------------------------------------------------
>
>                 Key: LUCENE-5715
>                 URL: https://issues.apache.org/jira/browse/LUCENE-5715
>             Project: Lucene - Core
>          Issue Type: Task
>          Components: general/build
>            Reporter: Steve Rowe
>            Assignee: Steve Rowe
>            Priority: Minor
>             Fix For: 4.9, 5.0
>
>         Attachments: LUCENE-5715.patch
>
>
> LUCENE-5442 added functionality to the {{check-lib-versions}} ant task to fail the build
if a direct dependency's version conflicts with that of a transitive dependency.
> {{ivy-ignore-conflicts.properties}} contains a list of 19 transitive dependencies with
versions that are newer than direct dependencies' versions: https://issues.apache.org/jira/browse/LUCENE-5442?focusedCommentId=14012220&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-14012220
> We should try to keep that list small.  It's likely that upgrading most of those dependencies
will require little effort.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message